Subject: bug#30326: grep not searching through a text file (thinking it binary)

From: Paul Eggert <[email-masked]>
Date: Sun, 4 Feb 2018 09:29:54 -0800

L A Walsh wrote:

> I didn't care

Some users do care: they don't want grep to output binary junk that may mess up 
their screen.

> Problem is on a mailbox, different emails can have different encodings.

There's no general solution to that problem. No matter what grep does, it will 
mishandle some cases. At best the user will get an approximation to what is 
really wanted. And there will be some cases where grep's default behavior (no 
matter what the default is) will do the "wrong" thing.